GET
/control/v1/billing/summary

Query Parameters

days?integer
Default30
Range1 <= value <= 365

Response Body

application/json

application/json

curl -X GET "https://example.com/control/v1/billing/summary"
{
  "summary": {
    "days": 0,
    "total_prompt_tokens": 0,
    "total_completion_tokens": 0,
    "total_tokens": 0,
    "total_cached_prompt_tokens": 0,
    "total_requests": 0,
    "estimated_cost_micros": 0,
    "credit_balance_micros": 0
  },
  "by_model": [
    {
      "model": "string",
      "service_tier": "default",
      "prompt_tokens": 0,
      "completion_tokens": 0,
      "total_tokens": 0,
      "cached_prompt_tokens": 0,
      "total_requests": 0,
      "cost_micros": 0,
      "pricing": {
        "model": "string",
        "prompt_token_price_micros": 0,
        "completion_token_price_micros": 0,
        "effective_from": "2019-08-24T14:15:22Z"
      }
    }
  ]
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}